function [train_features,train_class,test_features, test_class] = create_train_test_data (class, features, train_rate)
   featurespos = features(class==1, :);
   featuresneg = features(class==0, :);
   classpos = class(class==1, :);
   classneg = class(class==0, :);
 
   %% Structures may also be useful
   orderpos = randperm(length(featurespos(:,1))); %% Create a random order
   orderneg = randperm(length(featuresneg(:,1))); %% Create a random order

   training_threshold_pos = round(length(classpos)*train_rate);
   training_threshold_neg = round(length(classneg)*train_rate);
   
   train_class = [classpos(orderpos(1:training_threshold_pos)); classneg(orderneg(1:training_threshold_neg))];
   train_features = [featurespos(orderpos(1:training_threshold_pos),:);featuresneg(orderneg(1:training_threshold_neg),:) ];

   test_class = [classpos(orderpos(training_threshold_pos+1:end)); classneg(orderneg(training_threshold_neg+1:end))];
   test_features = [featurespos(orderpos(training_threshold_pos+1:end),:);featuresneg(orderneg(training_threshold_neg+1:end),:) ];
   
%   save data train_features train_class test_features test_class;
end
